package cn.estsh.i3plus.pojo.wms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.WmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : BH库存条码扩展表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-05-22 13:22
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="QMS_STOCK_SN_EXT_BH")
@Api("BH检测大类表")
public class QmsStockSnExtBh extends BaseBean {

    @Column(name="sn")
    @ApiParam("条码")
    private String sn;

    @Column(name="BATCH_NO")
    @ApiParam("BATCH号")
    private String batchNo;

    @Column(name="BH_TYPE")
    @ApiParam("BH类型")
    @AnnoOutputColumn(refClass = WmsEnumUtil.FG_INSTOCK_SN_TYPE.class)
    private Integer bhType;

}
